Bug 21663 - Incorrect filter prevents predefined notes from being added to patron acccounts
Summary: Incorrect filter prevents predefined notes from being added to patron acccounts
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: rel_18_11_candidate
Depends on: 13618
Blocks: 21669
  Show dependency treegraph
 
Reported: 2018-10-25 13:22 UTC by Owen Leonard
Modified: 2020-01-06 20:14 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21663: Incorrect filter prevents predefined notes from being added to patron acccounts (1.54 KB, patch)
2018-10-25 13:33 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21663: Incorrect filter prevents predefined notes from being added to patron acccounts (1.61 KB, patch)
2018-10-25 15:04 UTC, Andrew Isherwood
Details | Diff | Splinter Review
Bug 21663: Incorrect filter prevents predefined notes from being added to patron acccounts (1.68 KB, patch)
2018-10-25 15:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21663: Add /patrons/{patron_id}/checkouts endpoint to REST API (3.81 KB, patch)
2019-04-01 12:13 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-10-25 13:22:51 UTC
When viewing a patron-related page in the staff client one should be able to click the "Add message" button in the toolbar and select notes which have been defined in authorised_values category BOR_NOTES. In incorrect html filter at line 112 of members-toolbar.inc breaks this functionality.
Comment 1 Owen Leonard 2018-10-25 13:33:54 UTC
Created attachment 81162 [details] [review]
Bug 21663: Incorrect filter prevents predefined notes from being added to patron acccounts

This patch removes an "html" filter from the template include which
allows one to add predefined nots to a patron's account.

To test, apply the patch and open a patron record for viewing or
checkout. Click the "Add message" button. The "predefined notes"
dropdown should contain the authorised_values you have with the
'BOR_NOTES' category.
Comment 2 Andrew Isherwood 2018-10-25 15:04:30 UTC
Created attachment 81172 [details] [review]
Bug 21663: Incorrect filter prevents predefined notes from being added to patron acccounts

This patch removes an "html" filter from the template include which
allows one to add predefined nots to a patron's account.

To test, apply the patch and open a patron record for viewing or
checkout. Click the "Add message" button. The "predefined notes"
dropdown should contain the authorised_values you have with the
'BOR_NOTES' category.

Signed-off-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Comment 3 Jonathan Druart 2018-10-25 15:25:17 UTC
Created attachment 81180 [details] [review]
Bug 21663: Incorrect filter prevents predefined notes from being added to patron acccounts

This patch removes an "html" filter from the template include which
allows one to add predefined nots to a patron's account.

To test, apply the patch and open a patron record for viewing or
checkout. Click the "Add message" button. The "predefined notes"
dropdown should contain the authorised_values you have with the
'BOR_NOTES' category.

Signed-off-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Nick Clemens 2018-10-26 17:25:05 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-11-06 11:57:08 UTC
Bug not present in 18.05.x series.
Comment 6 Josef Moravec 2019-04-01 12:13:15 UTC
Created attachment 87275 [details] [review]
Bug 21663: Add /patrons/{patron_id}/checkouts endpoint to REST API

Test plan:
1) Apply the patch
2) Restart plack
3) Access GET to /patrons/{patron_id}/checkouts
It should have the same abilities as /checkouts?patron_id={patron_id}
4) prove t/db_dependent/api/v1/checkouts.t
Comment 7 Josef Moravec 2019-04-01 12:28:05 UTC
Comment on attachment 87275 [details] [review]
Bug 21663: Add /patrons/{patron_id}/checkouts endpoint to REST API

Sorry, wrong bug number